# v2-getOrderTracking - Retrieve tracking information (deprecated)

Description

This API is deprecated. Please use the new v2-getActionStatus API for retrieving the status of action request and potential errors.


Call Frequency

Recommended usage: Uses the new v2-getActionStatus API
Maximum usage: Uses the new v2-getActionStatus API

Endpoint: GET /v2/orders/tracking/{tracking_id}
Security: Bearer

## Path parameters:

  - `tracking_id` (string, required)
    Order Tracking identifier in Mirakl Connect
    Example: "1ba5fc4b-c4fd-4251-880b-3052e301bbd4"

## Response 200 fields (application/json):

  - `created_at` (string, required)
    Tracking creation date

  - `errors` (array)
    List of errors that occurred during the tracking process

  - `errors.code` (string, required)
    Error code

  - `errors.message` (string, required)
    Error message

  - `id` (string, required)
    Tracking identifier in Mirakl Connect

  - `status` (string, required)
    Current tracking status
    Enum: "PENDING", "SUCCESS", "FAILED"

  - `updated_at` (string, required)
    Date of last modification of the order tracking

## Response 404 fields (application/json):

  - `code` (string, required)
    Error code (immutable)

  - `errors` (array)

  - `errors.extensions` (object)
    Free map where you find additional context data to better describe the error

  - `errors.field` (string)
    JsonPath to the field where the error occurred

  - `errors.message` (string, required)
    Literal string error item description (Please do not base your error handling on this field since it is subject to change)

  - `extensions` (object)
    Free map where you find additional context data to better describe the error

  - `message` (string, required)
    Literal string error description (Please do not base your error handling on this field since it is subject to change)


